This package is not available in the 3xx repository. Showing package versions available for all repositories instead.
Package scheme.plt contributed by cce [docs]
To load: (require (planet cce/scheme:7:8))
Old style:(require (planet "main.ss" ("cce" "scheme.plt" 7 8)))
Min Racket version: 4.2.5
Package description:
PLT Scheme programming utilities, including tools for:
  • functional programming,
  • object-oriented programming,
  • developing modules and packages,
  • and writing documentation.
Downloads this week: 0
Total downloads: 18692
Tickets:6
Open tickets:6
Primary files:
[no interface available]
 Packages in other repositories

These packages are not available in the 3xx repository, but they are available for other versions of Racket.

PLaneT versionExternal versionSourceDLsDocsReq. PLTDate added
(7 8)
206
4.2.52011-11-28
To load: (require (planet "main.ss" ("cce" "scheme.plt" 7 (= 8))))
Available in repositories: 4.x
7.8: Compatibility with adoption of predicate/c into scheme/contract.
(7 7)
15
4.2.52011-10-25
To load: (require (planet "main.ss" ("cce" "scheme.plt" 7 (= 7))))
Available in repositories: 4.x
7.7: Correcting a typo in the documentation.
(7 6)
72
4.2.52011-09-02
To load: (require (planet "main.ss" ("cce" "scheme.plt" 7 (= 6))))
Available in repositories: 4.x
7.6: Reverting workaround (I may have got it backwards).
(7 4)
113
4.2.52011-04-21
To load: (require (planet "main.ss" ("cce" "scheme.plt" 7 (= 4))))
Available in repositories: 4.x
7.4:Updated for compatibility with Racket v5.1.1.
(7 3)
181
4.2.12011-02-04
To load: (require (planet "main.ss" ("cce" "scheme.plt" 7 (= 3))))
Available in repositories: 4.x
7.3:Updated for compatibility with Racket v5.1.
(7 2)
321
4.2.12010-10-07
To load: (require (planet "main.ss" ("cce" "scheme.plt" 7 (= 2))))
Available in repositories: 4.x
7.2:Updated to support Dracula and for compatibility with Racket v5.0.1.x.
(7 1)
127
4.2.12010-07-22
To load: (require (planet "main.ss" ("cce" "scheme.plt" 7 (= 1))))
Available in repositories: 4.x
7.1:Removed use of Racket 5.0-specific constructs.
(7 0)
63
4.22010-05-21
To load: (require (planet "main.ss" ("cce" "scheme.plt" 7 (= 0))))
Available in repositories: 4.x
7.0: Final pre-Racket major release of this package. Includes new libraries, bug fixes, and added documentation.
(6 3)
2964
4.2.4.22010-02-08
To load: (require (planet "main.ss" ("cce" "scheme.plt" 6 (= 3))))
Available in repositories: 4.x
6.3:Further fixing compatibility with updated contract interface.
(6 2)
64
4.2.4.22010-02-03
To load: (require (planet "main.ss" ("cce" "scheme.plt" 6 (= 2))))
Available in repositories: 4.x
6.2: Adapted to second change in Macro Stepper language level protocol.
(6 1)
9
4.2.4.22010-02-02
To load: (require (planet "main.ss" ("cce" "scheme.plt" 6 (= 1))))
Available in repositories: 4.x
6.1: Added compatibility with new Macro Stepper language level protocol.
(6 0)
1604
4.22009-09-30
To load: (require (planet "main.ss" ("cce" "scheme.plt" 6 (= 0))))
Available in repositories: 4.x
6.0:Extended backwards compatibility to PLT Scheme 4.2 (was 4.2.1).Separated Scribble library from main library.
(5 0)
22
4.2.12009-09-15
To load: (require (planet "main.ss" ("cce" "scheme.plt" 5 (= 0))))
Available in repositories: 4.x
5.0:
  • Added modules for:
    • contracts,
    • definition macros,
    • dictionaries and hash tables,
    • port I/O,
    • regular expressions,
    • GUI widgets,
    • DrScheme language levels,
    • and Slideshow presentations.
  • Added macros and functions for:
    • eta expansion,
    • locally scoped module imports,
    • sandboxes sharing module instances,
    • manipulating source locations,
    • and head expansion in macro transformers.
  • And changed a few other things here and there.
(4 1)
11898
[none]2009-03-10
To load: (require (planet "main.ss" ("cce" "scheme.plt" 4 (= 1))))
Available in repositories: 4.x
4.1: Added and documented this-package-in, this-package-out, and require/provide/this-package.
(4 0)
3
[none]2009-03-10
To load: (require (planet "main.ss" ("cce" "scheme.plt" 4 (= 0))))
Available in repositories: 4.x
4.0: Added this-package-in for planet package self-requires.
(3 0)
314
[none]2009-02-12
To load: (require (planet "main.ss" ("cce" "scheme.plt" 3 (= 0))))
Available in repositories: 4.x
3.0: New tools for planet packages
(2 0)
127
[none]2009-01-16
To load: (require (planet "main.ss" ("cce" "scheme.plt" 2 (= 0))))
Available in repositories: 4.x
2.0: Significant changes and additions. New modules provide tools for:
  • module imports and exports,
  • sandboxed evaluation,
  • web page and style sheets.
Interface changes include:
  • function.ss:
    • partial application: replaced curry* and curryr* with papply and papply*
    • currying: added curryn and currynr
  • syntax.ss: to-datum no longer traverses substructure of data
  • text.ss:
    • text-append: added #:before, #:between, and #:after keywords
    • comparisons: added text<=? and text>=?
(1 3)
411
[none]2008-09-15
To load: (require (planet "main.ss" ("cce" "scheme.plt" 1 (= 3))))
Available in repositories: 4.x
1.3: Removed now-obsolete uses of now-obsolete flat-contract/predicate?
(1 2)
92
[none]2008-08-25
To load: (require (planet "main.ss" ("cce" "scheme.plt" 1 (= 2))))
Available in repositories: 4.x
1.2: Added queues and various other functionality.
(1 1)
84
[none]2008-06-09
To load: (require (planet "main.ss" ("cce" "scheme.plt" 1 (= 1))))
Available in repositories: 4.x
1.1: Raised resource limits during installation of documentation.
(1 0)
2
[none]2008-06-09
To load: (require (planet "main.ss" ("cce" "scheme.plt" 1 (= 0))))
Available in repositories: 4.x
Initial release for PLT v4.0. Combines and updates 3xx packages:
  • cce/class-utils
  • cce/combinators
  • cce/parameter-utils
  • cce/syntax-utils